import { Microservice } from "@autoplex/microservice";
import * as services from "./services";

export default class Application extends Microservice
{
	/**
	 * The app key to sign stuff
	 */
	public readonly APP_KEY: string;

	/**
	 * Create a new application instance
	 */
	constructor(appKey: string) {
		super();
		this.APP_KEY = appKey;
		this.installServices(Object.values(services));
	}
}
